Name: libqwt
Version: 4.2.0
Release: alt4

Summary: 2D plotting widget extension to the Qt GUI

License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: qwt-%version.tar.bz2

%define qtdir %_libdir/qt3

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libqt3-settings libstdc++-devel xorg-x11-devel xorg-x11-libs

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

%package devel
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %name = %version

%description devel
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%prep
%setup -q -n qwt-%version

%build
export QTDIR=%qtdir
export PATH=$QTDIR/bin:$PATH
qmake qwt.pro
make
(cd examples; qmake examples.pro -o Makefile; make)
(cd designer; qmake qwtplugin.pro -o Makefile; make)

%install
mkdir -p %buildroot%_includedir/qwt
mkdir -p %buildroot/%_man3dir
mkdir -p %buildroot/%_libdir

for n in include/*.h ; do
    install -m 644 $n %buildroot%_includedir/qwt
done

# install, preserving links
chmod 644 lib/libqwt.so*
for n in lib/libqwt.so* ; do
    cp -d $n %buildroot/%_libdir
done

# build the designer plugin
(cd designer; make install INSTALL_ROOT=%buildroot)
echo "%qtdir/plugins/designer/libqwtplugin.so" > plugin.list

for n in doc/man/man3/*.3 ; do
    install -m 644 $n %buildroot/%_mandir/man3
done

# clean up the example tree
(cd examples; make distclean)
(cd examples; rm -f .*.cache */.*.cache */*/.*.cache)
(cd examples; rm -rf Makefile */moc */obj */*/moc */*/obj)

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc CHANGES README
%_libdir/libqwt.so.*
%qtdir/plugins/designer/libqwtplugin.so

%files devel -f plugin.list
%doc doc/html/*.css doc/html/*.html doc/html/*.gif doc/html/*.png
%doc examples
%_includedir/qwt
%_libdir/libqwt.so
%_man3dir/*

%changelog
* Sat Jul 30 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt4
- fix bug #7496 (pseudo unexpanded macros)

* Tue Mar 01 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt3
- move include to %_includedir

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt2
- move libraries to %_libdir, fix .so placement

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt1
- first build for ALT Linux Sisyphus

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-3mdk
- rebuild against new libpng

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- rebuild

* Tue Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- added by Stefano Borini <munehiro@ferrara.linux.it> :
	- First RPM release

